Subject: Re: t9118 broken in current master, 9918285, git/git/v1.7.2-rc2

From: A Large Angry SCM <[email-masked]>
Date: Thu, 08 Jul 2010 10:06:35 -0400

On 07/07/2010 11:42 PM, Brian Gernhardt wrote:
>
> On Jul 7, 2010, at 11:15 PM, Brian Gernhardt wrote:
>
>> I'm getting intermittent errors in t9115 instead.
>
> Okay, but intermittent I mean that I had SVN_HTTPD_PORT defined in one place and not the other.  It actually caused failures in tests 9115, 9120, 9142.  Running tests in parallel appears to break the SVN httpd setup and teardown.

If the test suite now fails if the tests are run in parallel then that's 
a new breakage. As of f526d12 "make -j4 test" was still passed on my 
system. The cut-n-paste in the email I sent last night was from a run 
without the -j4 make option so the problem is not just running the tests 
in parallel.